com.hazelcast.spring

## Class AbstractHazelcastBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - com.hazelcast.spring.AbstractHazelcastBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser
  Direct Known Subclasses:
    CacheManagerBeanDefinitionParser, HazelcastClientBeanDefinitionParser, HazelcastConfigBeanDefinitionParser, HazelcastFailoverClientBeanDefinitionParser, HazelcastInstanceDefinitionParser, HazelcastTypeBeanDefinitionParser, JetHazelcastBeanDefinitionParser, JetInstanceBeanDefinitionParser

      public abstract class AbstractHazelcastBeanDefinitionParser
      extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  Base class of all Hazelcast BeanDefinitionParser implementations.

  - `HazelcastClientBeanDefinitionParser`
  - `HazelcastConfigBeanDefinitionParser`
  - `HazelcastInstanceDefinitionParser`
  - `HazelcastTypeBeanDefinitionParser`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractHazelcastBeanDefinitionParser.SpringXmlBuilderHelper` Base Helper class for Spring Xml Builder

  - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHazelcastBeanDefinitionParser()`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, parseInternal, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractHazelcastBeanDefinitionParser

          public AbstractHazelcastBeanDefinitionParser()

Copyright © 2019. All rights reserved.